cURL
Authorizations
string
header
required
DashScope API Key
Path Parameters
string
required
Deployment ID
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
更新部署配置,传入字段替换,缺省字段保持不变
curl --request POST \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/deployments/{deployment_id}' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "每日订单汇总-v2",
"schedule": null
}
'{
"id": "depl_xxx",
"type": "deployment",
"name": "每日订单汇总-v2",
"status": "active",
"agent": {
"id": "agent_xxx",
"version": 12
},
"environment_id": "env_xxx",
"schedule": null,
"initial_events": [
{
"type": "message",
"role": "user",
"content": [
{
"type": "text",
"text": "汇总昨日订单数据"
}
]
}
],
"resources": [],
"vault_ids": [],
"metadata": {},
"paused_reason": null,
"archived_at": null,
"created_at": "2026-07-28T01:00:00Z",
"updated_at": "2026-07-28T01:00:00Z",
"request_id": "req_xxx"
}DashScope API Key
Deployment ID
Deployment 名称,最长 256 字符
部署用途描述
关联的 Environment ID
触发时发送给 Agent 的初始事件列表,1-50 项
关联的 Vault ID 列表
业务自定义键值对
curl --request POST \
--url 'https://{workspace_id}.{region}.maas.aliyuncs.com/api/v1/agentstudio/deployments/{deployment_id}' \
--header 'Authorization: Bearer <YOUR_API_KEY>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "每日订单汇总-v2",
"schedule": null
}
'{
"id": "depl_xxx",
"type": "deployment",
"name": "每日订单汇总-v2",
"status": "active",
"agent": {
"id": "agent_xxx",
"version": 12
},
"environment_id": "env_xxx",
"schedule": null,
"initial_events": [
{
"type": "message",
"role": "user",
"content": [
{
"type": "text",
"text": "汇总昨日订单数据"
}
]
}
],
"resources": [],
"vault_ids": [],
"metadata": {},
"paused_reason": null,
"archived_at": null,
"created_at": "2026-07-28T01:00:00Z",
"updated_at": "2026-07-28T01:00:00Z",
"request_id": "req_xxx"
}